
package interfazgrafica5;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.event.MouseInputListener;

public class GestorEventos extends WindowAdapter implements ActionListener, MouseInputListener {
    
    private Componentes componentes;
    
    public GestorEventos(Componentes componentes) {
        this.componentes = componentes;
    }

         // MÉTODOS DE WindowAdapter  
    public void windowClosing(WindowEvent e) {
       System.exit(0);
    }   
   
         // MÉTODO DE ActionListener    
    public void actionPerformed(ActionEvent e) {        
        int contador = componentes.getContadorPulsacionesBoton();
        contador ++;
        componentes.setContadorPulsacionesBoton(contador); 
        componentes.getjLabelVisualizaPulsacionesBoton().setText("Numero de pulsaciones botón: "+componentes.getContadorPulsacionesBoton());       
    }            
       
          // MÉTODOS DE MouseInputListener   
    public void mouseMoved(MouseEvent e) { 
       componentes.getjLabelVisualizaPosicionRaton().setText("Posicion raton:   coordenada x: "+e.getX()+"    coordenada y: "+e.getY());
    } 
 
    public void mouseClicked(MouseEvent e) {
        int contador = componentes.getContadorPulsacionesRaton();
        contador ++;
        componentes.setContadorPulsacionesRaton(contador); 
        componentes.getjLabelVisualizaPulsacionesRaton().setText("Numero de pulsaciones ratón: "+componentes.getContadorPulsacionesRaton());         
    }

    public void mousePressed(MouseEvent e) {
    }

    public void mouseReleased(MouseEvent e) {
    }

    public void mouseEntered(MouseEvent e) {
    }

    public void mouseExited(MouseEvent e) {
    }

    public void mouseDragged(MouseEvent e) {
    }
}
